%global momorel 3

Name:		gok
Summary:	GNOME On-screen Keyboard (GOK)
Version:	1.3.7
Release: %{momorel}m%{?dist}
License: 	GPL
Group:		User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.3/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch1: gok-0.10.2-launcher.patch

URL: 		http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.14.1
BuildPrereq: libgnomeui-devel >= 2.20.0
BuildPrereq: at-spi-devel >= 1.20.0
BuildPrereq: libbonobo-devel >= 2.20.0
BuildPrereq: atk-devel >= 1.20.0
BuildPrereq: gtk2-devel >= 2.12.0
BuildPrereq: gail-devel >= 1.20.0
BuildPrereq: libwnck-devel >= 2.20.0
BuildPrereq: esound-devel >= 0.2.38
BuildPrereq: gnome-speech-devel >= 0.4.16
BuildPrereq: libglade2-devel >= 2.6.2
BuildPrereq: pango-devel >= 1.18.2
Prereq: GConf2
Prereq: rarian

%description
Welcome to GOK.  Please note that this is an unstable release and that
GOK may crash or behave unexpectedly.  With this in mind we would like
to thank you very much for your interest in GOK and hope very much
that you find it useful.

%package devel
Summary: Libraries/include files for GStreamer plugins.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel
Requires: atk-devel
Requires: libbonobo-devel
Requires: gtk2-devel
Requires: gail-devel
Requires: libwnck-devel
Requires: esound-devel
Requires: at-spi-devel

%description devel
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse, leveraging GNOME's
built-in accessibility framework.
#'

This package contains the libraries and includes files necessary to develop
applications and plugins for gok.

%prep
%setup -q
%patch1 -p1 -b .launcher~

%build
%configure --disable-schemas-install \
    --enable-gtk-doc \
    --enable-libusb-input
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/gok.desktop

# remove
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gok.schemas > /dev/null
scrollkeeper-update
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gok.schemas
%{_bindir}/gok
%{_bindir}/create-branching-keyboard
%{_datadir}/gok
%{_datadir}/omf/gok
%{_datadir}/gnome/help/gok
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/gok.desktop
%{_datadir}/pixmaps/gok.png
%{_datadir}/icons/hicolor/48x48/apps/gok.png
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gtk-doc/html/gok

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/gok-1.0.pc

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.7-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.7-2m)
- %%NoSource -> NoSource

* Mon Oct 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.7-1m)
- update to 1.3.7

* Sat Oct 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.6-1m)
- update to 1.3.6

* Sat Oct 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.5-1m)
- update to 1.3.5

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.4-1m)
- update to 1.3.4

* Sat May 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.5-1m)
- update to 1.2.5

* Thu Mar  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2

* Sat Jan 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-2m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-2m)
- rebuild against GNOME 2.16

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.2.0-2m)
- rebuild against expat-2.0.0-1m

* Fri Aug 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.10-1m)
- update to 1.0.10

* Thu May 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.8-3m)
- add patch3

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.8-2m)
- add Patch2 from FC (gok-1.0.5-crash.patch)

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.8-1m)
- update to 1.0.8
- remove Patch2 (gok-1.0.7-cspi_accessible_is_a.patch)
- BUG FIX Release

* Sun Apr  9 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.7-2m)
- add Patch2 (gok-1.0.7-cspi_accessible_is_a.patch)

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.7-1m)
- update to 1.0.7

* Mon Nov 21 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.5-1m)
- version 1.0.5
- GNOME 2.12.1 Desktop
- add Patch1 (gok-0.10.2-launcher.patch)

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.11.16-1m)
- version 0.11.16
- GNOME 2.8 Desktop

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.2-2m)
- add Utility to Categories of desktop file for KDE
- BuildPrereq: desktop-file-utils

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.10.2-1m)
- version 0.10.2

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.10.0-1m)
- version 0.10.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.8.4-2m)
- revised spec for enabling rpm 4.2.

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.4-1m)
- version 0.8.4

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.3-1m)
- version 0.8.3

* Tue Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.8.1-1m)
- version 0.8.1

* Tue Aug 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.13-1m)
- version 0.7.13

* Fri Jul 04 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.11-1m)
- version 0.7.11

* Wed Jul 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.10-1m)
- version 0.7.10

* Tue Jul 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.9-1m)
- version 0.7.9

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.7-1m)
- version 0.7.7

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.5-1m)
- version 0.7.5

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.1-1m)
- version 0.7.1
